package:
  name: sohviewer
  version: 2024.3.0.1

source:
  path: ../

build:
  noarch: python
  script: {{ PYTHON }} -m pip install . --no-deps -vv

requirements:
  build:
    - python >=3.9
    - pip
  run:
    - python >=3.9
    - numpy >=1.23.0,<2.0
    - obspy >=1.3.0
    - PySide6>=6.5.2
    - matplotlib>=3.6.2

test:
  source_files:
    - tests
    - sohstationviewer/database/soh.db
    - sohstationviewer/database/backup.db
    - sohstationviewer/documentation
    - sohstationviewer/documentation/images
  commands:
    - python -m unittest

about:
  home: https://www.passcal.nmt.edu/content/software-resources
  dev_url: https://git.passcal.nmt.edu/software_public/passoft/sohstationviewer
  license: GPLv3
  license_file: LICENSE
  summary: Visualize State-of-Health packets from raw data recorded by different type of dataloggers.
